Campaign Audience

The campaign audience record exposes a campaign audience to REST web services.

This record:

For more information about working with campaign audiences in the UI, see Campaign Audiences.

The REST API Browser includes information about the field names and field types of the campaign audience and about the HTTP methods, request parameters, and operations available to this record. For details, see the REST API Browser's campaign audience reference page.

For information about using the REST API Browser, see The REST API Browser.

Record ID

The record ID for a campaign response REST record is campaignaudience.

Prerequisites

You must enable the Marketing Automation feature before you can use this record through REST web services. For more information, see Marketing Automation Overview.

Code Sample

The following sample shows a common action for a campaign audience.

            POST /services/rest/record/v1/campaignaudience HTTP/1.1
Host: 3619616.suitetalk.api.netsuite.com
Content-Type: application/json
Authorization: OAuth realm="3619616",oauth_consumer_key="",oauth_token="",oauth_signature_method="",oauth_timestamp="",oauth_nonce="",oauth_version="1.0",oauth_signature=""
Content-Length: 84
{
   "description": "Test description",
   "name": "Test name",
"isInactive": false
} 

          

Related Topics

General Notices